
require "Homun"
require "Test"

GetV = function (v, id) 
	if v == V_OWNER then return 1 end
	if v == V_HOMUNTYPE then return 4 end
	if v == V_POSITION then return 10, 20 end
end

Move = function (id, x, y)
	return id
end

h1 = Homun.new(1)
eq(h1:owner().id, 1)
eq(h1:move(1, 2), nil)
eq(h1:homunType(), 4)

h1:position()
eq(h1.x, 10)
eq(h1.y, 20)

h2 = Homun.new(1)
eq(h1.id == h2.id, true)
eq(h1 == h2, true)

--

tmpf = os.tmpname()
f = io.open(tmpf, "w")
f:write([[
[AI]
current=HogeAI

[Homun]
lv=15
hp=655
sp=80
atk=80
matk=80
Hit=50
critical=90
def=50
mdef=50
flee=50
aspd=50

other_prop1="string dayo"
other_prop2=5*10
]])
f:close()
Config = INI.new():read(tmpf)

h3 = Homun.new(1)
eq(h3.lv, 15)
eq(h3.lv, 15)
